Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234820 - hibernate fails on ThinkPad X60
Summary: hibernate fails on ThinkPad X60
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nigel Cunningham
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 11:33 UTC by Patrick C. F. Ernzer
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 10:14:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
serial console output of a failed suspend, the log ends with me powering off the machine (deleted)
2007-04-02 11:33 UTC, Patrick C. F. Ernzer
no flags Details
serial capture when trying to suspend with pci=nomsi (deleted)
2007-04-19 11:47 UTC, Patrick C. F. Ernzer
no flags Details

Description Patrick C. F. Ernzer 2007-04-02 11:33:00 UTC
Description of problem:
most of my attempts to hibernate my ThinkPad X60 (type: 1706-GMG) fail

Version-Release number of selected component (if applicable):
2.6.18-8.1.1.el5

How reproducible:
frequent

Steps to Reproduce:
1. swapoff -a
2. run badblocks (in write-mode with -p 2) to make sure swap is actually OK
3. mkswap
4. swapon -a
5. select 'hibernate' from the gnome power applet
  
Actual results:
machine tries to hibernate but end up getting I/O errors

Expected results:
100% successful hibernate and wake-up

Additional info:
A serial console log of a failed atempt will be attached.
This X60 has a Core2Duo and is running x86_64 RHEL5.

Comment 1 Patrick C. F. Ernzer 2007-04-02 11:33:00 UTC
Created attachment 151414 [details]
serial console output of a failed suspend, the log ends with me powering off the machine

Comment 3 Patrick C. F. Ernzer 2007-04-19 11:48:00 UTC
Created attachment 152991 [details]
serial capture when trying to suspend with pci=nomsi

[pcfe@x60-pcfe ~]$ uname -r
2.6.18-8.1.1.el5
[pcfe@x60-pcfe ~]$ cat /proc/cmdline 
ro root=/dev/VG_x60_internal/LV_root console=ttyS0,115200 console=tty0
pci=nomsi
[pcfe@x60-pcfe ~]$ cat /proc/interrupts 
	   CPU0       CPU1	 
  0:	 136602      72151    IO-APIC-edge  timer
  1:	    136 	23    IO-APIC-edge  i8042
  7:	      1 	 0    IO-APIC-edge  parport0
  8:	      1 	 0    IO-APIC-edge  rtc
  9:	    562 	38   IO-APIC-level  acpi
 12:	    153 	 0    IO-APIC-edge  i8042
201:	  23557 	 0   IO-APIC-level  yenta, uhci_hcd:usb1, libata, eth0,
i915@pci:0000:00:02.0
209:	   3618       2023   IO-APIC-level  uhci_hcd:usb2, ipw3945, HDA Intel
217:	      7 	 0   IO-APIC-level  uhci_hcd:usb3, sdhci:slot0
225:	   8425       6202   IO-APIC-level  uhci_hcd:usb4, ehci_hcd:usb5
NMI:	    220 	93 
LOC:	 208546     208652 
ERR:	      0
MIS:	      0

Comment 5 Nigel Cunningham 2007-04-24 09:53:51 UTC
I don't like the look of those I/O errors. Are you getting filesystem corruption
at all?


Comment 7 Patrick C. F. Ernzer 2007-04-24 10:24:13 UTC
in response to Comment #5
don't seem to, just did a full fsck (shutdown -F) and it did not nag at me. Also
/lost+found is empty.

I will now move to FC devel (because of another bug) and report here with a
short note if suspend works with that kernel or not.

Comment 8 Patrick C. F. Ernzer 2007-04-30 10:03:29 UTC
additional response to Comment #5
2.6.21-1.3116.fc7 handles this better
It puts the machine to sleep without any I/O errors.
(machine fails to fully wake, but that will be another bug)

Comment 10 Patrick C. F. Ernzer 2007-04-30 11:09:31 UTC
FWIW: failure to wake under Fedora development has been filed as Bug #238407

Comment 11 Nigel Cunningham 2007-06-12 05:08:14 UTC
Looks like this can be closed. Is that right?

Comment 12 Patrick C. F. Ernzer 2007-06-12 10:14:20 UTC
As I have moved the box in question from RHEL to Fedora, yes this can be closed
as I am unable to provide further testing.


Note You need to log in before you can comment on or make changes to this bug.